# std::atomic_flag::clear

From cppreference.com
< cpp‎ | atomic‎ | atomic flag

Defined in header `<atomic>` |  |
void clear( std::memory_order order = std::memory_order_seq_cst ) volatile; | (1) | (since C++11)
void clear( std::memory_order order = std::memory_order_seq_cst ); | (2) | (since C++11)

Atomically changes the state of a std::atomic_flag to clear (false).

### Parameters

order | - | the memory synchronization ordering for this operation (cannot be std::memory_order_consume, std::memory_order_acquire, or std::memory_order_acq_rel)

### Exceptions

`noexcept` specification:
noexcept

### See also

test_and_set | atomically sets the flag to true and obtains its previous value (public member function)
atomic_flag_clear atomic_flag_clear_explicit (C++11)(C++11) | atomically sets the value of the flag to false (function)
memory_order (C++11) | defines memory ordering constraints for the given atomic operation (typedef)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic_flag/clear&oldid=91675"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template